﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using TvMazeScraper.Models;

namespace TvMazeScraper.Migrations
{
    [DbContext(typeof(TvMazeContext))]
    [Migration("20181223230606_InitialCreate")]
    partial class InitialCreate
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.2.0-rtm-35687")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("TvMazeScraper.Models.TvMazeContext+CastEntity", b =>
                {
                    b.Property<int>("id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int?>("SummarizedShowEntityid");

                    b.Property<string>("birthday");

                    b.Property<string>("name");

                    b.HasKey("id");

                    b.HasIndex("SummarizedShowEntityid");

                    b.ToTable("Casts");
                });

            modelBuilder.Entity("TvMazeScraper.Models.TvMazeContext+SummarizedShowEntity", b =>
                {
                    b.Property<int>("id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("name");

                    b.HasKey("id");

                    b.ToTable("SummarizedShows");
                });

            modelBuilder.Entity("TvMazeScraper.Models.TvMazeContext+CastEntity", b =>
                {
                    b.HasOne("TvMazeScraper.Models.TvMazeContext+SummarizedShowEntity")
                        .WithMany("cast")
                        .HasForeignKey("SummarizedShowEntityid");
                });
#pragma warning restore 612, 618
        }
    }
}
